 * Activity starter code;

* Generic session options - set page and line size, no page breaks;
OPTIONS nonumber nodate nocenter pagesize=MAX linesize=120 formdlim='-';											
* Kill default titles on output; TITLE;

* Location for files to be saved - CHANGE THESE TO YOUR DIRECTORIES;
LIBNAME activity "C:\Dropbox\14_ICPSR\Download\Activities";

* Importing SAS dataset into work library;
DATA work.activity; SET activity.SAS_Activity_Data;
	* Computing person mean stress to use as predictor;
	pmstress = MEAN(OF stress1-stress5);
	* Stacking data; 
	month=1; severity=severity1; stress=stress1; OUTPUT;
	month=2; severity=severity2; stress=stress2; OUTPUT;
	month=3; severity=severity3; stress=stress3; OUTPUT;
	month=4; severity=severity4; stress=stress4; OUTPUT;
	month=5; severity=severity5; stress=stress5; OUTPUT;
	* Labeling all variables;
	LABEL 	PersonID = 	"PersonID: Unique Identifier"
			baseage = 	"baseage: Age at Baseline"
			treat = 	"treat: Treatment Group (1=control, 2=treatment)"
			month =	 	"month: Month of Study"
			severity = 	"severity: Time-Varying Severity Outcome"
			stress =	"stress: Time-Varying Stress Predictor"
			pmstress = 	"pmstress: Person-Mean Stress Predictor";
	* Dropping unnecessary multivariate variables;
	DROP severity1-severity5 stress1-stress5;
RUN;

* Creating and centering predictor variables for analysis;
DATA work.activity; SET work.activity;
	* Center all predictors here here;


RUN;

***********************************************************************
*****				 Refresher on PROC MIXED 					  *****
***********************************************************************/

* PROC MIXED syntax commands used below: 

PROC MIXED:
	DATA gives file used for analysis
	METHOD=REML specifies restricted ML or ML (REML is default)
	COVTEST gives significance tests of covariance parameters
	NOCLPRINT suppresses class variable list
	NOITPRINT suppresses iteration history (but use for troubleshooting)
	MAXITER=1000 increases #iterations to 1000
CLASS: defines categorical variables
	Observation identifiers (PersonID, month) are categorical
MODEL: defines equation, where [outcome] = [predictors]
	/ SOLUTION asks for parameter estimates
	  DDFM=Satterthwaite specifies Satterthwaite denominator DF
RANDOM: lists random effects (INTERCEPT is not included by default)
	  TYPE=UN specifies unstructured matrix (all variances & covariances)
	/ SUBJECT=PersonID defines nesting structure for level 2 persons
	/ G, GCORR prints covariance, correlation matrix of random effects
	/ V, VCORR prints combined covariance, correlation matrix from G and R
REPEATED: allows structuring of the residual variance and repeated measures
	Day indicates level-1 nesting (days within persons)
	/ TYPE= specifies covariance structure (see SAS manual for list)
	/ R, RCORR asks for covariance and correlation matrices
	REPEATED is included by default for random effects models
	with TYPE=VC (is identity matrix --> equal variances no covariances); 

* Now it's your turn!;
